﻿@model ccu_basketball.ViewModel.BaseViewModel
@using Microsoft.AspNetCore.Identity
@inject SignInManager<IdentityUser> SignInManager

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
	<title>@ViewData["Title"] - ccu_basketball</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

	<environment include="Development">
		<link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
	</environment>

	<environment exclude="Development">
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
			  asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
			  asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
			  crossorigin="anonymous"
			  integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" />
	</environment>

	<!-- Font Awesome icons (free version)-->
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
	<!-- Google fonts-->
	<link href="https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700" rel="stylesheet" />
	<link href="https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic" rel="stylesheet" type="text/css" />
	<!-- Third party plugin CSS-->
	<link href="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css" rel="stylesheet" />
	<!-- Core theme CSS (includes Bootstrap)-->
	<link href="~/css/site.css" rel="stylesheet" />

	<link href="~/css/leagueAdmin.css" rel="stylesheet" />
</head>
<body>
	@*<partial name="_CookieConsentPartial" />*@

	<!-- Navigation-->
	<nav class="navbar navbar-expand-lg navbar-dark" id="mainNav">
		<a class="navbar-brand js-scroll-trigger" href="@Url.Action("Index","Home")"><i class="fas fa-basketball-ball navbar-brand-icon"></i>CCU-Basketball</a>
		<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
		<div class="collapse navbar-collapse" id="navbarNav">
			@if (SignInManager.IsSignedIn(User))
			{
				<ul class="navbar-nav">
					<li class="nav-item active">
						<a class="nav-link" href="@Url.Action("Index","Standing")">戰績</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" href="@Url.Action("TodayStanding","Standing")">當日戰績</a>
					</li>
					<li class="nav-item dropdown">
						<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							系所專區
						</a>
						@{int i; }
						<ul class="dropdown-menu multi-column columns-2">
							<div class="col-sm-6 col-xs-6">
								<ul class="multi-column-dropdown pl-4">
									@for (i = 0; i < Model.AllTeamName.Count / 2; i++)
									{
										<li><a href="@Url.Action("Index","DepartmentRecord",new{team=Model.AllTeamName[i]})">@Model.AllTeamName[i]</a></li>
									}
								</ul>
							</div>
							<div class="col-sm-5 col-xs-5">
								<ul class="multi-column-dropdown">
									@for (int j = i; j < Model.AllTeamName.Count; j++)
									{
										<li><a href="@Url.Action("Index","DepartmentRecord",new{team=Model.AllTeamName[j]})">@Model.AllTeamName[j]</a></li>
									}
								</ul>
							</div>
						</ul>
					</li>
					<li class="nav-item" data-toggle="modal" data-target="#feedbackModal">
						<a class="nav-link" href="#">意見回饋</a>
					</li>
					<li class="nav-item"><a class="nav-link js-scroll-trigger" href="@Url.Action("Index", "LeagueAdmin")">聯盟管理</a></li>
				</ul>
				<form class="form-inline logout-form" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
					<button type="submit" class="nav-link btn logout-btn">登出</button>
				</form>
			}
		</div>
	</nav>
	<!-- Modal -->
	<div class="modal" id="feedbackModal" tabindex="-1" role="dialog" aria-labelledby="feedbackModalLabel" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="feedbackModalLabel">意見回饋</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<form action="@Url.Action("SendFeedback","Home",new { returnUrl = Context.Request.Host })" method="post">
					<div class="modal-body">
						<div class="form-group">
							<label for="email">Email</label>
							<input name="email" type="email" class="form-control" id="email" placeholder="請輸入您的電子信箱" required>
						</div>
						<div class="form-group">
							<label for="feedback">回饋內容</label>
							<textarea name="feedback" class="form-control" id="feedback" placeholder="請輸入您對我們的意見" required></textarea>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
						<button type="submit" class="btn btn-primary">Send</button>
					</div>
				</form>
			</div>
		</div>
	</div>

	<section>
		<div class="navbar-default sidebar" role="navigation">
			<div class="sidebar-nav navbar-collapse">
				<ul class="nav in" id="side-menu">
					<li class="sidebar-center">
						<i class="fa fa-dashboard" style="font-size:36px;"></i>
						<p class="sidebar-title">聯盟管理</p>
					</li>
					<li>
						<a href="@Url.Action("Index","LeagueAdmin")" class="active"><i class="fa fa-line-chart"></i> 儀表板</a>
					</li>
					<li>
						<a href="@Url.Action("CreateStanding","LeagueAdmin")" class="active"><i class="fa fa-handshake-o"></i> 新建戰績</a>
					</li>
					<li>
						<a href="@Url.Action("EditTeam","LeagueAdmin")" class="active"><i class="fa fa-users"></i> 編輯隊伍</a>
					</li>
					<li>
						<a asp-area="Identity" asp-page="/Account/Register" class="active"><i class="fa fa-user-plus"></i> 新增聯盟管理人員</a>
					</li>

					@*<li>
							<a href="#"><i class="fa fa-files-o fa-fw"></i> Sample Pages<span class="fa arrow"></span></a>
							<ul class="nav nav-second-level collapse">
								<li>
									<a href="blank.html">Blank Page</a>
								</li>
								<li>
									<a href="login.html">Login Page</a>
								</li>
							</ul>
							<!-- /.nav-second-level -->
						</li>*@
				</ul>
			</div>
		</div>
	</section>
	@RenderBody()

	<environment include="Development">
		<script src="~/lib/jquery/dist/jquery.js"></script>
		<script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>
	</environment>
	<environment exclude="Development">
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"
				asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
				asp-fallback-test="window.jQuery"
				crossorigin="anonymous"
				integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=">
		</script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"
				asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"
				asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
				crossorigin="anonymous"
				integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o">
		</script>
	</environment>

	<!-- Third party plugin JS-->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>

	<script src="~/js/leagueAdmin.js"></script>

	@RenderSection("Scripts", required: false)
</body>
</html>
